package com.ruoyi.zdsz.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.zdsz.domain.ZHouse;
import com.ruoyi.zdsz.domain.bo.ZBuildingBo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringCivilBo;
import com.ruoyi.zdsz.domain.bo.ZHouseBo;
import com.ruoyi.zdsz.domain.vo.ZBuildingVo;
import com.ruoyi.zdsz.domain.vo.ZHouseVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 房间管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface ZHouseMapper extends BaseMapperPlus<ZHouseMapper, ZHouse, ZHouseVo> {
    Page<ZHouseVo> getPageList(@Param("p") ZHouseBo bo, Page<?> page);
    ZHouse getByName(@Param("name")String name,@Param("unitId")String unitId);
    List<ZHouseVo> selectListByunitId(String unitId);
    List<ZHouse> selectHouseId(@Param("p") ZEngineeringCivilBo bo);
    ZHouseVo getHousesByIdCard(String idCard);

    String getAreaSourceString(@Param("table")String table,@Param("id")String id);
}
